#spec for tarball
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-iniparse
Version:        0.4
Release:        36
Summary:        Python Module for Accessing and Modifying Configuration Data in INI files
License:        MIT and PSF
URL:            http://code.google.com/p/iniparse/
Source0:        http://iniparse.googlecode.com/files/iniparse-%{version}.tar.gz

BuildArch: noarch

# PATCH-FIX-UPSTREAM
Patch0:         fix-handle-REMXXXX-is-not-comment.patch
# PATCH-FIX-UPSTREAM
Patch1:         python3-compat.patch
# PATCH-FIX-UPSTREAM
Patch2:         setup-fixes.patch

%description
iniparse is an INI parser for Python which is API compatible
with the standard library's ConfigParser, preserves structure of INI
files (order of sections & options, indentation, comments, and blank
lines are preserved when data is updated), and is more convenient to
use.

%package -n python2-iniparse
Summary:        Python 2 version of python-iniparse
%{?python_provide:%python_provide python2-iniparse}
BuildRequires:  python2-devel python2-setuptools python2-six python2-test
Requires:       python2-six

%description -n python2-iniparse
This package is the python2 version of python-iniparse.


%package -n python3-iniparse
Summary:        Python 3 version of python-iniparse
%{?python_provide:%python_provide python3-iniparse}
BuildRequires:  python3-devel python3-setuptools python3-six python3-test
Requires:       python3-six

%description -n python3-iniparse
This package is the python3 version of python-iniparse.

%package_help

%prep
%autosetup -n iniparse-%{version} -p1


%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} runtests.py
%{__python3} runtests.py

%files -n python2-iniparse
%defattr(-,root,root,-)
%license LICENSE LICENSE-PSF
%{python2_sitelib}/iniparse
%{python2_sitelib}/iniparse-%{version}-py*.egg-info

%files -n python3-iniparse
%defattr(-,root,root,-)
%license LICENSE LICENSE-PSF
%{python3_sitelib}/iniparse
%{python3_sitelib}/iniparse-%{version}-py*.egg-info

%files help
%doc README Changelog html/
%exclude %{_docdir}/iniparse-%{version}/

%changelog
* Fri Sep 27 2019 shenyangyang<shenyangyang4@huawei.com> - 0.4-36
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:modify license

* Sat Sep 21 2019 shenyangyang<shenyangyang4@huawei.com> - 0.4-35
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise patch

* Thu Sep 12 2019 shenyangyang<shenyangyang4@huawei.com> - 0.4-34
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise the comments of patch

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.4-33
- revise spec
* Sat Jun 12 2010 Paramjit Oberoi <param@cs.wisc.edu> - 0.4-1
- Release 0.4
* Sat Apr 17 2010 Paramjit Oberoi <param@cs.wisc.edu> - 0.3.2-1
- Release 0.3.2
* Mon Mar 2 2009 Paramjit Oberoi <param@cs.wisc.edu> - 0.3.1-1
- Release 0.3.1
* Fri Feb 27 2009 Paramjit Oberoi <param@cs.wisc.edu> - 0.3.0-1
- Release 0.3.0
* Sat Dec 6 2008 Paramjit Oberoi <param@cs.wisc.edu> - 0.2.4-1
- Release 0.2.4
- added egg-info file to %%files
* Tue Dec 11 2007 Paramjit Oberoi <param@cs.wisc.edu> - 0.2.3-1
- Release 0.2.3
* Mon Sep 24 2007 Paramjit Oberoi <param@cs.wisc.edu> - 0.2.2-1
- Release 0.2.2
* Tue Aug 7 2007 Paramjit Oberoi <param@cs.wisc.edu> - 0.2.1-1
- Release 0.2.1
* Fri Jul 27 2007 Tim Lauridsen <timlau@fedoraproject.org> - 0.2-3
- relocated doc to %{_docdir}/python-iniparse-%{version}
* Thu Jul 26 2007 Tim Lauridsen <timlau@fedoraproject.org> - 0.2-2
- changed name from iniparse to python-iniparse
* Tue Jul 17 2007 Tim Lauridsen <timlau@fedoraproject.org> - 0.2-1
- Release 0.2
- Added html/* to %%doc
* Fri Jul 13 2007 Tim Lauridsen <timlau@fedoraproject.org> - 0.1-1
- Initial build.
